%define module	Tie-Cache
%define version 0.17
%define release 1mdk

Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' Cache.pm
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc CHANGES README
%{_mandir}/*/*
%{perl_vendorlib}/Tie

%changelog
* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.15-4mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.15-3mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 0.15-1mdk
- 0.15.
- updated license.
- removed filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.08-3mdk
- Remove the Distribution and Vendor tag.
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.08-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.08-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.08-1mdk
- Macroize package
